const express = require("express")
const { createProduct, getAllProDuct, getProductById, updateProductById, deleteProductById } = require("../controller/product.controller")
const { verifyToken, checkUser } = require("../middleware/auth.middleware")
const route = express.Router()
route.post("/",createProduct)
route.get("/",[verifyToken,checkUser],getAllProDuct)
route.get("/:productId",getProductById)
route.put("/:productId",[verifyToken,checkUser],updateProductById)
route.delete("/:productId",[verifyToken,checkUser],deleteProductById)
module.exports = route
